=== debian/changelog ===
pynest2d (4.8.0-2) unstable; urgency=medium

  * Cherry-pick Gregor's Python3_SITEARCH hack from libsavitar to enable
    installation to python-version-specific locations. (Closes: #976613)

 -- Christoph Berg <myon@debian.org>  Tue, 08 Dec 2020 22:11:58 +0100

pynest2d (4.8.0-1) unstable; urgency=medium

  * Initial Debian release.

 -- Christoph Berg <myon@debian.org>  Thu, 26 Nov 2020 22:27:08 +0100
