## pynest2d 4.13~beta

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,8 +7,19 @@
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
 
 # Requirements.
-find_package(PythonInterp 3.5 REQUIRED)  # Dependency of SIP.
-find_package(PythonLibs 3.5 REQUIRED)  # Dependency of SIP.
+# FIXME: Remove the code for CMake <3.12 once we have switched over completely.
+# FindPython3 is a new module since CMake 3.12. It deprecates FindPythonInterp and FindPythonLibs.
+if(${CMAKE_VERSION} VERSION_LESS 3.12)
+    # FIXME: Use FindPython3 to find Python, new in CMake 3.12.
+    # However currently on our CI server it finds the wrong Python version and then doesn't find the headers.
+    find_package(PythonInterp 3.5 REQUIRED)
+    find_package(PythonLibs 3.5 REQUIRED)
+
+else()
+    # Use FindPython3 for CMake >=3.12
+    find_package(Python3 3.5 REQUIRED COMPONENTS Interpreter Development)
+endif()
+
 find_package(SIP REQUIRED)  # To create Python bindings.
 find_package(libnest2d REQUIRED)  # The library we're creating bindings for.
 find_package(Clipper REQUIRED)  # Dependency of libnest2d.
@@ -17,7 +28,7 @@
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DLIBNEST2D_GEOMETRIES_clipper -DLIBNEST2D_OPTIMIZERS_nlopt -DLIBNEST2D_THREADING_std")  # Tell libnest2d to use Clipper and NLopt, and standard threads.
 
 # Some build options.
-set(CMAKE_CXX_STANDARD 11)
+set(CMAKE_CXX_STANDARD 17)
 if(APPLE AND CMAKE_CXX_COMPILER_ID MATCHES "Clang")
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -stdlib=libc++")
 endif()
@@ -44,6 +55,6 @@
     src/String.sip
 )
 
-set(SIP_EXTRA_OPTIONS -g)  # Always release the GIL before calling C++ methods.
+set(SIP_EXTRA_OPTIONS -g -n PyQt5.sip)  # Always release the GIL before calling C++ methods. -n PyQt5.sip is required to not get the PyCapsule error
 include_directories(src/ ${SIP_INCLUDE_DIRS} ${Python3_INCLUDE_DIRS} ${CLIPPER_INCLUDE_DIRS} ${NLopt_INCLUDE_DIRS} ${LIBNEST2D_INCLUDE_DIRS})
 add_sip_python_module(pynest2d src/Pynest2D.sip ${CLIPPER_LIBRARIES} ${NLopt_LIBRARIES})
