=== debian/changelog ===
pynest2d (4.13~beta-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.1, no changes needed.

  [ Christoph Berg ]
  * New upstream version 4.13~beta.
  * Depend on python3-pyqt5.

 -- Christoph Berg <myon@debian.org>  Mon, 17 Jan 2022 12:33:41 +0100
