=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  pkg-config,
  python3-all-dev,
  python3-sip-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Section: libs
 Homepage: https://github.com/Ultimaker/pynest2d
 Vcs-Browser: https://salsa.debian.org/3dprinting-team/pynest2d
@@ -26,6 +26,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
+ python3-pyqt5,
  ${misc:Depends},
  ${python3:Depends},
  ${sip3:Depends},
