=== debian/changelog ===
pynest2d (5.0.0-3build5) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 21 Oct 2025 10:23:38 +0000

pynest2d (5.0.0-3build4) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 15:59:55 +0000

pynest2d (5.0.0-3build3) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Nov 2024 04:37:39 +0100

pynest2d (5.0.0-3build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:20:50 +1100

pynest2d (5.0.0-3build1) noble; urgency=medium

  * No-change rebuild for python3.12 t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 21:14:49 +0100

pynest2d (5.0.0-3) unstable; urgency=medium

  * Remove dependency on SIP 4.x, it's no longer needed

 -- Gregor Riepl <onitake@gmail.com>  Thu, 11 Jan 2024 11:43:13 +0100

pynest2d (5.0.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Christoph Berg <myon@debian.org>  Sun, 02 Jul 2023 19:54:11 +0000

pynest2d (5.0.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 5.0.0
  * Build-depend on the new sip tools (6.6.1).
  * Bump dependency to python3-pyqt6.
  * Refresh patches.

 -- Sebastian Kuzminsky <seb@highlab.com>  Wed, 25 May 2022 10:34:05 -0600
