=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: pynest2d
 Priority: optional
-Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
 Uploaders:
  Gregor Riepl <onitake@gmail.com>,
  Christoph Berg <myon@debian.org>,
@@ -14,7 +15,8 @@
  libpolyclipping-dev,
  pkg-config,
  python3-all-dev,
- python3-sip-dev,
+ python3-sipbuild,
+ sip-tools
 Standards-Version: 4.5.1
 Section: libs
 Homepage: https://github.com/Ultimaker/pynest2d
@@ -26,10 +28,9 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- python3-pyqt5,
+ python3-pyqt6,
  ${misc:Depends},
  ${python3:Depends},
- ${sip3:Depends},
  ${shlibs:Depends},
 Description: Python bindings for libnest2d
  This repository contains CPython bindings for libnest2d, a library to pack 2D
