=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,4 @@
 export PYBUILD_CONFIGURE_ARGS=-DPYVER={version}
 
 %:
-	dh $@ --buildsystem=pybuild --with python3 --with sip3
+	dh $@ --buildsystem=pybuild --with python3
